org.eclipse.jetty.plus.jaas

## Interface RoleCheckPolicy

- All Known Implementing Classes:
    StrictRoleCheckPolicy

      public interface RoleCheckPolicy

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkRole(String roleName, Principal runAsRole, Group roles)` Check if a role is either a runAsRole or in a set of roles

- - ### Method Detail

    - #### checkRole

          boolean checkRole(String roleName,
                          Principal runAsRole,
                          Group roles)

      Check if a role is either a runAsRole or in a set of roles
      Parameters:
        `roleName` - the role to check
        `runAsRole` - a pushed role (can be null)
        `roles` - a Group whose Principals are role names
      Returns:
        `true` if `role` equals `runAsRole` or is a member of `roles`.

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.